using SpellBoundAR.AssetManagement;
using SpellBoundAR.ResourceUtilities;
using UnityEngine;

namespace SpellBoundAR.ARImageTracking
{
    public class ImageTargetData : IdentifiableScriptableObject
    {
        [Header("Main Settings")]
        [SerializeField] private string trackableID;
        [SerializeField] private Texture referenceImage;
        [SerializeField] private Sprite referenceSprite;

        [Header("Content Settings")]
        [SerializeField] private ResourceGameObject contentResource;
        [SerializeField] private Quaternion rotationOffset;

        public string TrackableID => trackableID;
        public Texture ReferenceImage => referenceImage;
        public Sprite ReferenceSprite => referenceSprite;
        public GameObject Content => contentResource ? contentResource.Asset : null;
        public Quaternion RotationOffset => rotationOffset;

        public virtual void OnTracked() { }
    }
}
